std::filesystem::directory_entry::refresh(3)

NAME
std::filesystem::directory_entry::refresh - std::filesystem::directory_entry::refresh

Synopsis
   void refresh(); (since C++17)
   void refresh( std::error_code& ec ) noexcept;
   Examines the filesystem object referred to by this directory entry and stores its
   attributes for retrieval with status, exists, is_regular_file, and other status
   accessors.
   If an error occurs, the value of any cached attributes is unspecified.

Parameters
   ec - out-parameter for error reporting in the non-throwing overload

Return value
   (none)

Exceptions
   The overload that does not take a std::error_code& parameter throws
   filesystem::filesystem_error on underlying OS API errors, constructed with p as the
   first path argument and the OS error code as the error code argument. The overload
   taking a std::error_code& parameter sets it to the OS API error code if an OS API
   call fails, and executes ec.clear() if no errors occur. Any overload not marked
   noexcept may throw std::bad_alloc if memory allocation fails.

Notes
   Many low-level OS APIs for directory traversal retrieve file attributes along with
   the next directory entry. The constructors and the non-const member functions of
   std::filesystem::directory_iterator store these attributes, if any, in the
   pointed-to std::filesystem::directory_entry without calling
   directory_entry::refresh, which makes it possible to examine the attributes of the
   directory entries as they are being iterated over, without making additional system
   calls.

Example
    This section is incomplete
    Reason: no example

See also
   status status of the file designated by this directory entry
   symlink_status symlink_status of the file designated by this directory entry
                     (public member function)
                     checks whether directory entry refers to existing file system
   exists object
                     (public member function)
   is_block_file checks whether the directory entry refers to block device
                     (public member function)
   is_character_file checks whether the directory entry refers to a character device
                     (public member function)
   is_directory checks whether the directory entry refers to a directory
                     (public member function)
   is_fifo checks whether the directory entry refers to a named pipe
                     (public member function)
   is_other checks whether the directory entry refers to an other file
                     (public member function)
   is_regular_file checks whether the directory entry refers to a regular file
                     (public member function)
   is_socket checks whether the directory entry refers to a named IPC socket
                     (public member function)
   is_symlink checks whether the directory entry refers to a symbolic link
                     (public member function)
   file_size returns the size of the file to which the directory entry refers
                     (public member function)
                     returns the number of hard links referring to the file to which
   hard_link_count the directory entry refers
                     (public member function)
                     gets or sets the time of the last data modification of the file to
   last_write_time which the directory entry refers
                     (public member function)